> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Offices



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/contacts/companies/{companyId}/offices
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/contacts/companies/{companyId}/offices:
    get:
      tags:
        - Offices
      summary: List Offices
      operationId: OfficesController_findAll_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: companyId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OfficeResponseDto'
components:
  schemas:
    OfficeResponseDto:
      type: object
      properties:
        id:
          type: string
        companyId:
          type: string
        name:
          type: string
        address:
          type: string
          nullable: true
        apartment:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        zipCode:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        currency:
          nullable: true
          enum:
            - USD
            - CAD
            - GBP
            - EUR
            - CNY
            - JPY
            - MXN
            - AFN
            - ALL
            - DZD
            - AOA
            - ARS
            - AMD
            - AWG
            - AUD
            - AZN
            - BSD
            - BHD
            - BDT
            - BYN
            - BZD
            - BMD
            - BTN
            - BOB
            - BAM
            - BWP
            - BRL
            - BND
            - BGN
            - MMK
            - BIF
            - KHR
            - CVE
            - KYD
            - XAF
            - XPF
            - CLP
            - COP
            - KMF
            - CDF
            - CRC
            - HRK
            - CUP
            - CZK
            - DKK
            - DJF
            - DOP
            - XCD
            - EGP
            - ERN
            - ETB
            - FKP
            - FJD
            - GMD
            - GEL
            - GHS
            - GIP
            - GTQ
            - GNF
            - GYD
            - HTG
            - HNL
            - HKD
            - HUF
            - ISK
            - INR
            - IDR
            - IRR
            - IQD
            - ILS
            - JMD
            - JOD
            - KZT
            - KES
            - KWD
            - KGS
            - LAK
            - LBP
            - LSL
            - LRD
            - LYD
            - MOP
            - MGA
            - MWK
            - MYR
            - MVR
            - MRU
            - MUR
            - MDL
            - MNT
            - MAD
            - MZN
            - NAD
            - NPR
            - ANG
            - TWD
            - NZD
            - NIO
            - NGN
            - MKD
            - NOK
            - OMR
            - PKR
            - PAB
            - PGK
            - PYG
            - PEN
            - PHP
            - PLN
            - QAR
            - RON
            - RUB
            - RWF
            - SHP
            - WST
            - SAR
            - RSD
            - SCR
            - SLE
            - SGD
            - SBD
            - SOS
            - ZAR
            - KRW
            - SSP
            - LKR
            - SDG
            - SRD
            - SZL
            - SEK
            - CHF
            - SYP
            - STN
            - TJS
            - TZS
            - THB
            - TOP
            - TTD
            - TND
            - TRY
            - TMT
            - UGX
            - UAH
            - AED
            - UYU
            - UZS
            - VUV
            - VES
            - VND
            - XOF
            - YER
            - ZMW
          type: string
        isPrimary:
          type: boolean
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - companyId
        - name
        - address
        - apartment
        - city
        - state
        - zipCode
        - phone
        - country
        - currency
        - isPrimary
        - createdAt
        - updatedAt

````